#include "DateTimeWidgetFactory.h"
#include "DateTimeWidget.h"

DateTimeWidgetFactory::DateTimeWidgetFactory()
{    
}

void DateTimeWidgetFactory::create(qx::IxDataMember *dataMember, QWidget *parent)
{
    widget = new DateTimeWidget(parent);
}

QString DateTimeWidgetFactory::type() const
{
    return DateTimeWidget::type;
}

QWidget *DateTimeWidgetFactory::getWidget() const
{
    return widget;
}

IxWidget *DateTimeWidgetFactory::getIxWidget() const
{
    return widget;
}
